Page MenuHomePhabricator

Turn on $wgNoticeUseLanguageConversion on metawiki
Closed, ResolvedPublic

Description

Requires Ib2109176.

See T51354: Enable translating CNBanner messages in zh-* languages on meta.


Version: unspecified
Severity: enhancement

Details

Reference
bz49905

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:44 AM
bzimport set Reference to bz49905.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Jun 20 2013, 7:53 PM

Please provide context for this change request.

(In reply to comment #0)

Requires Ib2109176.

See bug 49354.

This is now merged.

(In reply to comment #1)

Please provide context for this change request.

It's described in bug 49354.

(In reply to comment #2)

It's described in bug 49354.

It would be nice if we made an effort to not make issues a scavenger hunt.

(In reply to comment #3)

(In reply to comment #2)

It's described in bug 49354.

It would be nice if we made an effort to not make issues a scavenger hunt.

Well I'm copying some sentences here:

Due to bug 37338 translation of zh-* sub-variants are blocked. However this is
needed as zh banners are not displayed for zh-* users.

Two ways to fix this:

0) Revert 37338 or modify it to unblock zh-hans and zh-hant
e.g.

  1. Allow CNBanners to ignore the blacklist or have a separate set
  2. Language conversion for CNBanners (ideal solution)

Currently change in bug 37338 pretty much breaks the translation workflow as
the only way around it is for a translator to ask an administrator to edit the
MediaWiki message.

Approach 2 is chosen now.

Change 76653 had a related patch set uploaded by Mwalker:
Enable wgNoticeUseLanguageConversion

https://gerrit.wikimedia.org/r/76653

Change 76653 merged by Mwalker:
Enable wgNoticeUseLanguageConversion

https://gerrit.wikimedia.org/r/76653

mwalker wrote:

Liagent; I pushed the configuration today -- it would be awesome if you could verify that it is truly working as expected.

(In reply to comment #7)

Liagent; I pushed the configuration today -- it would be awesome if you could
verify that it is truly working as expected.

But unluckily there's no banner live to allow me to verify it.

mwalker wrote:

We seem to have two banners up right now in this campaign: http://meta.wikimedia.org/w/index.php?title=Special:CentralNotice&method=listNoticeDetail&notice=C13_wpnd_zhCN_FR

You can force a banner as well by doing something like:

zh.wikipedia.org/wiki/Special:Random?banner=B13_0701_trnvlpf_Twin2_nd_zhCN&uselang=zh-hans&force=1&reset=1

TTO added a comment.Sep 21 2013, 10:38 AM

Seems to be working now? If not, please reopen.

jeremyb updated the task description. (Show Details)Mar 22 2019, 9:18 PM